petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGlobusAuthorize

Get an access token allowing PETSc applications to make Globus file transfer requests

### Synopsis

    PetscErrorCode PetscGlobusAuthorize(MPI_Comm comm,char access_token[],size_t tokensize)

Not collective, only the first process in MPI_Comm does anything

### Input Parameters

| comm | - the MPI communicator
| tokensize | - size of the token array

### Output Parameters

access_token -can be used with PetscGlobusUpLoad() for 30 days

### Notes

This call requires stdout and stdin access from process 0 on the MPI communicator

You can run src/sys/webclient/examples/tutorials/globusobtainaccesstoken to get an access token

### See Also

PetscGoogleDriveRefresh(), PetscGoogleDriveUpload(), PetscURLShorten(), PetscGlobusUpload()

### Level

intermediate

### Location

src/sys/webclient/globus.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages